<?php 
/**
 * 微动CMS
 * ============================================================================
 * * 版权所有 青岛微动一百网络科技有限公司，并保留所有权利。
 * 网站地址: http://bbs.weidong100.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * 更多系统：shopNR本地电商系统、微速卖-云外卖系统
 * 
*/
class NavModel extends RelationModel{
    protected $_link = array(
		'secondnav'=>array(
		'mapping_type'       =>HAS_MANY,
			 'class_name'    =>'nav',
			 'foreign_key'   =>'parent_id',
			 'mapping_order' =>'sort asc',
			 // 定义更多的关联属性
		 ),
	 );
	 public function mynav(){
	     $nav = $this->relation(true)->where('parent_id = 0')->order('sort asc')->select();
		 $url = U('Index/index');
		 $first = array("title" => L('home_page'),"url" => $url,"secondnav"=>'');
		 array_unshift($nav,$first);
		 return $nav;
	 }
}
?>